package com.liquidnet.service.candy.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class CandyMyCouponListVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 4073256621782131607L;

    private List<CandyCouponVo> memberCoupon;
    private List<CandyCouponVo> myCoupon;

    private static final CandyMyCouponListVo obj = new CandyMyCouponListVo();

    public static CandyMyCouponListVo getNew() {
        try {
            return (CandyMyCouponListVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new CandyMyCouponListVo();
    }

}
